HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List Reports

This endpoint returns User Reports filtered by the specified query parameters. Each report contains key details such as ID, name, type, and scope. Use the query parameters to filter results and retrieve only data that matches your specific requirements.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Search the Report based on Name, Type, Status and Saved By

string

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the table below.

FieldOperators
status (last run status)eq and in
scheduleType (report schedule type)eq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

If a direction indicator is omitted the default direction is ascending.

Supported fields are

Sort FieldDescription
nameThe name of the report.
scopeThe specific sites where the report applies.
typeThe type or category of the report (e.g., inventory, client).
createdByUser who created the report.
scheduleTypeType of schedule for the report (e.g., recurring, one-time).
scheduleLastRunTsTimestamp of the last time the report was executed.
scheduleNextRunTsTimestamp of the next scheduled run for the report.
scheduleTotalRunsTotal number of times the report has been run.
scheduleEndThe end date or timestamp of the report schedule.
string
Defaults to 1

Specifies the pagination cursor for the next page of resources. Minimum value is 1.

integer
1 to 100
Defaults to 10

Maximum number of reports to be retrieved. Allowed range is 1 to 100.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json